Get DigiLocker Aadhaar Data

KYC Verification API

This API Get Aadhaar Data. On successful verification, it returns Aadhaar holder’s demographic details.

Request URL
POST
https://ekyc.nerotix.in/api/v1/service/digilocker/get-data
Authentication Required REQUIRED

Pass a valid Bearer Token in the Authorization header with every request.

Authorization: Bearer YOUR_BEARER_TOKEN
Parameters
Name Type Description
ref_id required string Ref ID received from digi locker redirect request url API.
txn_id required string Txn ID received from digi locker redirect request url API.
document_type required string Document type to be fetched via DigiLocker. Example: AADHAAR
Request Body
application/json
{
    "ref_id": "ABC123456",
    "txn_id": "TXN123456",
    "document_type": "AADHAAR"
}
Response Examples

API Response

Sample responses returned by the Voter ID Verification API.

Successful Response

Success
Aadhaar Card demographic details fetched successfully
HTTP 200 OK
application/json
{
    "success": true,
    "statusCode": 1,
    "message": "Aadhaar Card Exists",
    "data": {
        "txn_id": "T20250929130638CJBE",
        "name": "Mallesh Fakkirappa Dollin",
        "dob": "02-02-1995",
        "gender": "M",
        "care_of": "S/O: Fakkirappa Dollin",
        "address": "Shri Kanaka Nilaya,,Umashankar Nagar 1st Main 5th Cross,Ranebennur,Haveri-Karnataka,India",
        "split_address": {
            "country": "India",
            "dist": "Haveri",
            "house": "Shri Kanaka Nilaya",
            "landmark": "",
            "pincode": 581115,
            "po": "Ranebennur",
            "state": "Karnataka",
            "street": "Umashankar Nagar 1st Main 5th Cross",
            "subdist": "Ranibennur",
            "vtc": "Ranibennur",
            "locality": "Pritam Pura"
        },
        "year_of_birth": 1995,
        "email": "",
        "mobile_hash": "ed189eb73247cb90b769e7e8d7dfd2efa4cd6a5ec27602f5d2721c035266568c",
        "photo_link": "<base64 encoded image>",
        "share_code": "1234",
        "xml_file": "<xml file link with 48hrs expiry>"
    }
}
Note Please keep the following points in mind while integrating this API.
  • The API endpoint should be accessed via a POST request.
  • Ensure that the request is properly validated and sanitized to prevent security vulnerabilities.
  • Implement proper error handling on the client side to display user-friendly error messages based on the 'statusCode' and 'message' fields in the response.
  • Always include a valid Bearer Token in the Authorization header when making API requests.